Bug 1965932 - [oauth-server] bump k8s.io/apiserver to 1.20.3
Summary: [oauth-server] bump k8s.io/apiserver to 1.20.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.7.z
Assignee: Standa Laznicka
QA Contact: liyao
URL:
Whiteboard:
Depends On: 1917906
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-31 07:53 UTC by Sergiusz Urbaniak
Modified: 2021-06-15 09:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:28:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oauth-server pull 79 0 None open [4.7] Bug 1965932: bump kube to 0.20.4 2021-06-01 08:22:15 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:52 UTC

Description Sergiusz Urbaniak 2021-05-31 07:53:01 UTC
This bug was initially created as a copy of Bug #1917906

I am copying this bug because: 



bump k8s.io/apiserver to 1.20.3:

We need the following cherry pick PRs from upstream (but not limited to):
https://github.com/kubernetes/kubernetes/pull/97862
https://github.com/kubernetes/kubernetes/pull/98183

Comment 3 liyao 2021-06-07 09:13:02 UTC
Like bug 1922646#c11 steps, checked 'oauth-openshift.*bserved a panic: runtime error: invalid memory address or nil pointer' in 4.8 jobs, no panic found.

Comment 4 liyao 2021-06-07 09:28:15 UTC
Update the typo. It's 4.7 jobs checked, no panic found.

Comment 7 errata-xmlrpc 2021-06-15 09:28:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.